Hlavní informace

Konec podpory Ruby 2.3

Oznámení pro serverové administrátory, kteří spravují řešení Easy Project Server. Dne 30. 4. 2020 bude zrušena podpora pro Ruby 2.3.x z důvodu narůstajícího zastarávání této verze ve srovnání s komponentami třetích stran používaných v rámci Easy Projectu.

Konec podpory Ruby 2.3

Doporučujeme aktualizovat Ruby na verzi 2.6.5.

Ruby je nezbytnou podmínkou pro spuštění aplikace Easy Project. Jedná se o udržovaný a neustále aktualizovaný programovací jazyk. To znamená, že jednou za čas budete muset Ruby aktualizovat, abyste mohli používat nové verze aplikace Easy Project. Aktualizace Ruby může mít nežádoucí důsledky, proto vám zde předkládáme několik pokynů, abyste nezapomněli provést související změny ve vašich konfiguracích.

Nejběžnějším problémem je, že server (unicorn) se po aktualizaci Ruby nespustí. Následující pokyny předpokládáme včetně příkladů z virtuálních strojů poskytovaných společností Easy Software - kroky před jejich provedením na vašem vlastním serveru vždy ověřte.

0/ Vytvořte zálohu

1/ Aktualizujte ruby (pomocí rvm)
sudo rvm get head
sudo rvm install ruby-2.6.5-railsexpress
rvm use --default ruby-2.6.5-railsexpress

Ujistěte se, že používáte kompatibilní verzi, viz naše systémové požadavky.

2/ Nainstalujte bundler & unicorn & puma
gem install bundler unicorn puma

3/ Přejděte do kořenového adresáře aplikace a nainstalujte gemy
cd APPLICATION_ROOT
bundle update

4/ Nainstalujte Easy Project
rake easyproject:install RAILS_ENV=production

5/ Možná budete muset změnit verzi ruby ve spouštěcím skriptu.
Konfigurace by měla být v cestách (záleží na verzi vašeho VM, OS atd.):

/etc/systemd/system/puma@.service
/etc/systemd/system/unicorn@.service
/etc/systemd/system/easy.service
/lib/systemd/system/unicorn.service

Příklad:

...
[Service]
Type=simple
User=easy
WorkingDirectory=/srv/easyproject/public_html
Environment=RAILS_ENV=production
PIDFile=/srv/easyproject/run/unicorn.pid
ExecStart=/bin/bash -lc 'rvm 2.6.5 do unicorn -D -c /etc/unicorn/easyproject.rb -E production'
...

Změňte verzi ruby nebo použijte „výchozí“, uložte ji a restartujte službu.

Pokud to stále nefunguje, Tato e-mailová adresa je chráněna před spamboty. Pro její zobrazení musíte mít povolen Javascript. a pošlete nám stderr.log (protokol chyb unicorn) a production.log.

Ruby 2.7 zatím není podporován, ale je v poslední fázi ladění. Oficiální podpora Ruby 2.7 bude oznámena na našem webu. Údržba Ruby je standardní odpovědností správců serverů, proto prosím pravidelně kontrolujte na adrese https://www.ruby-lang.org/en, zda nejsou dostupné novinky a aktualizace zabezpečení.

 

Autor: Robert KováčikLukáš Beňa

Další informace

Založte si Easy Project zdarma

Všechny funkce | SSL ochrana | Denní zálohy

nebo

bez platby a bez instalace